/* Mantener el placeholder en minúsculas, aunque el input esté en mayúsculas */
.text-uppercase::-webkit-input-placeholder { /* WebKit browsers */
    text-transform: none;
}
.text-uppercase:-moz-placeholder { /* Mozilla Firefox 4 to 18 */
    text-transform: none;
}
.text-uppercase::-moz-placeholder { /* Mozilla Firefox 19+ */
    text-transform: none;
}
.text-uppercase:-ms-input-placeholder { /* Internet Explorer 10+ */
    text-transform: none;
}
.text-uppercase::placeholder { /* Recent browsers */
    text-transform: none;
}

/* Ojo input password */
#login_form_password + button {
    border: var(--bs-border-width) solid var(--bs-border-color);
    padding: 0 1.5rem;
}
#login_form_password + button::before {
    background-position: center;
    background-repeat: no-repeat;
    bottom: 0;
    content: '';
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
}
#login_form_password[type="text"] + button::before {
    background-image: url(/assets/eye-banned.svg);
}
#login_form_password[type="password"] + button::before {
    background-image: url(/assets/eye-open.svg);
}

/* Botón de escaneo */
.scanner-control {
    width: 75%;
}
@media screen and (max-width: 500px){
    .scanner-control {
        width: 100%;
    }
}

/* Offcanvas del listado de paquetes */
[data-bs-target="#offcanvasParcelList"] {
    background-color: var(--bs-gray-200);
}
#offcanvasParcelList {
    background-color: var(--bs-gray-200);
    height: 60vh;
}
#offcanvasParcelList .offcanvas-body {
    background-color: var(--bs-white);
    height: 60vh;
}
/* Estilo de las navs del offcanvas del listado de paquetes */
#offcanvasParcelList .nav-link {
    background-color: var(--bs-gray-200);
    color: var(--bs-gray-600);
}
#offcanvasParcelList .nav-link.active {
    background-color: var(--bs-light-bg);
    border-width: 3px;
    color: var(--bs-primary);
    font-weight: bold;
}
